package com.example.nto_2024_client.list.adapter

import android.annotation.SuppressLint
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.ListAdapter
import androidx.recyclerview.widget.RecyclerView
import com.example.nto_2024_client.R
import com.example.nto_2024_client.databinding.EntryItemBinding
import com.example.nto_2024_client.list.models.ListEnterEntity

class ListAdapter:RecyclerView.Adapter<com.example.nto_2024_client.list.adapter.ListAdapter.EntryHolder>() {


    val entryItem=ArrayList<ListEnterEntity>()
    inner class EntryHolder(item: View):RecyclerView.ViewHolder(item){
        val binding=EntryItemBinding.bind(item)
        fun bind(item: ListEnterEntity){
            binding.textView.text = item.lastEntry
        }

    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): EntryHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.entry_item,parent,false)
        return EntryHolder(view)
    }

    override fun getItemCount(): Int {
        return entryItem.size
    }

    override fun onBindViewHolder(holder: EntryHolder, position: Int) {
        holder.bind(entryItem[position])
    }

    @SuppressLint("NotifyDataSetChanged")
    fun addEnter(lastEnterEntity: ListEnterEntity){
        entryItem.add(lastEnterEntity)
        notifyDataSetChanged()
    }

}